---
title: "Get all approval requests"
slug: "get-all-approval-requests-1"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all approval requests

Get/v1/approval_requests

Get detailed information of all approval requests that the current user has access to.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parametersrequesterstring (uuid) 

Only retrieve approval requests with the specified requester ID

reviewerstring (uuid) 

Only retrieve approval requests with the specified reviewer ID

subjectstring (uuid) 

Only retrieve approval requests with the specified subject ID

statusstring

Only retrieve approval requests with the specified approval status

Valid values[
  "PENDING",
  "APPROVED",
  "DENIED",
  "FAILED"
]
all_searchstring

Search on name or description.

sort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

limitinteger

Maximum numbers of app configs to return.

offsetinteger

Number of app configs to skip from start.

filterstring

Filter items based on groups or labels.

Responses200

Search result for approval request objects.

<select class='api-response-data' aria-label='Media type'><option value='6c56080d-6ac2-46ca-b407-7fd844c80159'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (ApprovalRequest)   object  request_idstring  (uuid)    

UUID uniquely identifying this approval request.

requesterobject (Entity)  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

created_atinteger  (int64)    

When this approval request was created.

acct_idstring  (uuid)    

The account ID of the account that this approval request belongs to.

group_idstring  (uuid)    

The group ID where this approval request belongs to.

operationstring    

Operation URL path, e.g. `/crypto/v1/keys`, `/crypto/v1/groups/&lt;id&gt;`.

methodstring    

Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST.

bodyobject  
approvers Array of object (Entity)   object  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

denierobject (Entity)  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

denial_reasonstring    

Reason given by denier.

reviewers Array of object (Entity)   object  

An app, user, or plugin ID.

userstring  (uuid)    

The user ID of the user who created this entity, if this entity was created by a user.

statusstring    

Approval request status.

Valid values[
  "PENDING",
  "APPROVED",
  "DENIED",
  "FAILED",
  "DENIED_OTHER",
  "PENDING_CHILD",
  "PENDING_OTHER"
]
subjects Array of object (ApprovalSubject)   object  

Identifies an object acted upon by an approval request.

workflowstring  (uuid)    

The ID of the workflow being acted upon.

descriptionstring    

Optional comment about the approval request for the reviewer.

expiryinteger  (int64)    

When this approval request expires.
